import java.applet.*;
import java.awt.*;

public class EX07B extends Applet
{
	public void init()
	{
		resize(320, 240);

		// create a frame for the dialog
		// the frame isn't used but is the 
		// parent of the dialog
		Frame frame = new Frame();

		// create the dialog and show it
		TestDialog dlg = new TestDialog(frame);
		dlg.show();
	}
}


class TestDialog extends Dialog
{
	MyControls ctrls;		

	public TestDialog(Frame parent)
	{
		// invoke the Dialog constructor
		super(parent, "Test Dialog", false);

		// set an appropriate font
		setFont(new Font("Dialog", Font.BOLD, 12));

		// create the controls made by Resource Wizard
		ctrls = new MyControls(this);
		ctrls.CreateControls();
	}

	public boolean action(Event evt, Object arg) 
	{
		boolean result = false;

		// when the Close button is pressed, close the dialog
		if("Close".equals(evt.arg)) {
			dispose();
			result = true;
		}
		return result;
	}	 
}


